<?php
namespace Teknisa\ACL\Util\Instance;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DependencyInjection\InstanceManager;


class Service {

    /** @return  Service */
    public static function getInstance()
    {
        return new static();
    }

    /** @return \Teknisa\ACL\Services\Operator
     * @throws \Exception
     */
    public function getOperator()
    {
        return InstanceManager::getInstance()->getService('operatorService');
    }
    
    
    /** @return \Teknisa\ACL\Services\AclParamgeral
     * @throws \Exception
     */
    public function getAclParamgeral()
    {
        return InstanceManager::getInstance()->getService('AclParamgeralService');
    }

    /** @return \Teknisa\ACL\Services\OperadorPrincipalService
     * @throws \Exception
     */
    public function getOperadorPrincipal()
    {
        return InstanceManager::getInstance()->getService('Teknisa\ACL\Services\OperadorPrincipalService');
    }

    /** @return \Teknisa\ACL\Services\SqlLogs
     * @throws \Exception
     */
    public function getSqlLogs()
    {
        return InstanceManager::getInstance()->getService('SqlLogs');
    }

    /** @return \Teknisa\ACL\Services\PerfAcessParc
     * @throws \Exception
     */
    public function getPerfAcessParc()
    {
        return InstanceManager::getInstance()->getService('perfAcessParcService');
    }
    
    /** @return \Teknisa\ACL\Services\GrupoOperador
     * @throws \Exception
     */
    public function getGrupoOperador()
    {
        return InstanceManager::getInstance()->getService('GrupoOperadorService');
    }
    
}